### Method

# Gtk PrintDialog print

since: 4.14

#### Declaration [src]

    void
    gtk_print_dialog_print (
      GtkPrintDialog* self,
      GtkWindow* parent,
      GtkPrintSetup* setup,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function prints content from a stream.

If you pass `NULL` as `setup`, then this method will present a print dialog. Otherwise, it will attempt to print directly, without user interaction.

The `callback` will be called when the printing is done.

Available since: 4.14

This method completes asynchronously. Use `gtk_print_dialog_print_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`setup`

  Type: `GtkPrintSetup`

  The `GtkPrintSetup` to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.